
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET中的状态管理 / iVAN</title>

    <meta name="description" content="ASP.NET中的状态管理 asp.net 我们在ASP中能够通过cookie.查询字符串.应用程序.对话等轻易地解决这些问题.现在到了ASP.NET环境中,我们仍然可以使用这些功能,只是它们的种类更多了,功能也更强大了. 管理互联网网页主要有二种不同的方法:客户端和服务器端. 1.客户端的状态管理: 在客户端.服务器之间的多次请求-应答期间,服务器上不保存信息,信息将被存储在网页或用户的计算机上. A.Cookie cookie是存储在客户端文件系统的文本文件中或客户端浏览器对话的内存中的少量数据,它主要用来跟踪数据设置">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET中的状态管理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>asp.net</p>
<p>我们在ASP中能够通过cookie、查询字符串、应用程序、对话等轻易地解决这些问题。现在到了ASP.NET环境中，我们仍然可以使用这些功能，只是它们的种类更多了，功能也更强大了。 <br />　　管理互联网网页主要有二种不同的方法：客户端和服务器端。</p>
<p>1、客户端的状态管理：</p>
<p>　　在客户端、服务器之间的多次请求-应答期间，服务器上不保存信息，信息将被存储在网页或用户的计算机上。</p>
<p>　　A、Cookie</p>
<p>　　cookie是存储在客户端文件系统的文本文件中或客户端浏览器对话的内存中的少量数据，它主要用来跟踪数据设置。下面我们举例说明：假设我们要定制化一个欢迎互联网网页，当用户请求缺省的互联网网页时，应用程序会首先检查用户在此前是否已经注册，我们可以从cookie中获取用户的信息：</p>
<p>[c#]<br />if (Request.Cookies[“username”]!=null)<br />lbMessage.text=”Dear “+Request.Cookies[“username”].Value+”, Welcome shopping here!”;<br />else<br />lbMessage.text=”Welcome shopping here!”;</p>
<p>　　如果要存储用户的资料，我们可以使用下面的代码：</p>
<p>[c#]<br />Response.Cookies[“username’].Value=username;</p>
<p>　　 这样，当用户请求该网页时，我们就可以方便地识别该用户。</p>
<p>　　B、隐藏域</p>
<p>　　隐藏域不会显示在用户的浏览器中，但我们可以象设置标准控制的属性那样设置其属性。当一个网页被提交给服务器时，隐藏域的内容和其他控制的值一块儿被送到HTTP Form集合中。隐藏域可以是任何存储在网页中的与网页有关的信息的存储库，隐藏域在其value属性中存储一个变量，而且必须被显性地添加在网页上。</p>
<p>　　ASP.NET中的HtmlInputHidden控制提供了隐藏域的功能。</p>
<p>[c#]<br />protected System.Web.UI.HtmlControls.HtmlInputHidden Hidden1;<br />file://给隐藏域赋值<br />Hidden1.Value=”this is a test”;<br />file://获得一个隐藏域的值<br />string str=Hidden1.Value;</p>
<p>　　需要注意的是，要使用隐藏域，就必须使用HTTP-Post方法提交互联网网页。尽管其名字是隐藏域，但它的值并不是隐藏的，我们可以通过“查看源代码”功能找到它的值。 <br />　　C、状态查看</p>
<p>　　包括网页本身在内的Web Forms网页上的每个控制都有一个名字为ViewState的属性，它是一个自动保持网页和控制状态的内置结构，这意味着在向服务器提交网页后，我们无需采取任何措施来恢复控制的数据。<br />在这里，对我们有用的是ViewState属性，我们可以利用它来保存与服务器之间多次的请求-应答期间的信息。</p>
<p>[c#]<br />file://保存信息<br />ViewState.Add(“shape”,”circle”);<br />file://获取信息<br />string shapes=ViewState[“shape”];</p>
<p>　　注意：与隐藏域不同的是，在使用查看源代码功能时，ViewState属性的值是不可见的，它们是被压缩和加密的。 <br />　　D、查询字符串</p>
<p>　　查询字符串提供了一种简单而受限制的维护状态信息的方法，我们可以方便地将信息从一个网页传递给另一个网页，但大多数浏览器和客户端装置都把URL的长度限制在255个字符长。此外，查询值是通过URL传递给互联网的，因此，在有些情况下，安全就成了一个大问题。</p>
<p>　　带有查询字符串的URL如下所示：</p>
<p>　　　http://www.examples.com/list.aspx?categoryid=1&amp;productid=101</p>
<p>　　当有客户端请求list.aspx后，可以通过下面的代码获取目录和产品信息：</p>
<p>[c#]<br />string categoryid, productid;<br />categoryid=Request.Params[“categoryid”];<br />productid=Request.Params[“productid”];</p>
<p>　　注意，我们只能使用HTTP-Get提交该互联网网页，否则就不能从查询字符串获得需要的值。<br />　　2、服务器端的状态管理</p>
<p>　　信息存储在服务器上，尽管其安全性较高，但会占用较多的web服务器资源。</p>
<p>　　A、Aplication对象</p>
<p>　　Aplication对象提供了一种让所有在Web应用服务器中运行的代码访问的存储数据的机制，插入应用程序对象状态变量的数据应该能够被多个对话共享，而且不会频繁地改变。正是因为它能够被全部应用程序所访问，因此，我们需要使用Lock和UnLock对避免其中的值出现冲突。</p>
<p>[c#] <br />Application.Lock(); <br />Application[“mydata”]=”mydata”; <br />Application.UnLock();</p>
<p>　　B、Session对象</p>
<p>　　Session对象可以用来存储需要在服务器的多次请求-应答期间和对网页的请求期间进行维护的指定对话的信息。Session对象是每个对话的存在的基础，也就是说不同的客户端生成不同的Session对象。存储在对话状态变量中的数据存在的周期较短。</p>
<p>　　每个活动的ASP.NET对话是由一个包含合法的URL ASCII字符、长度为120位的SessionID字符串唯一确定和跟踪的。SessionID的值是由一个能够保证唯一性的算法生成的，以便对话之间不会冲突，SessionID的随意性使得我们很难猜测出一介现有对话的ID。</p>
<p>　　根据应用程序的配置设置情况，SessionID通过HTTP cookie或修改后的URL在客户端-服务器请求之间进行传输。那么，如何设置应用程序配置的对话装备方法。</p>
<p>　　每个web应用程序必须有一个名字为web.config的配置文件，它是基于XML文件的。下面是一个名字为sessionState的对话：</p>
<p>　　cookieless选项的值为true或false。当其值为false（缺省值）时，ASP.NET将使用HTTP cookie来识别用户；当其值是true时，ASP.NET将随机地生成一个唯一的号码，并将它放在被请求的文件的前面，这一号码是用来识别用户的，我们能够在IE的地址栏中看到它：</p>
<p>　　http://localhost/Management/(2yzakzez3eqxut45ukyzq3qp)/Default.aspx <br />　　OK，下面我们再回到session对象。</p>
<p>[c#]<br />file://存储信息<br />Session[“myname”]=”Mike”;<br />file://获得信息<br />myname=Session[“myname”];</p>
<p>　　C、数据库</p>
<p>　　数据库将使我们能够存储大量的与Web应用程序中的状态相关的信息，有时，用户会使用唯一的ID频繁地访问数据库，我们可以将它存储在数据库中，在对网站中网页的多次请求中使用。 <br />　　总结</p>
<p>　　ASP.NET中的功能和工具比ASP中更多，使我们能够更有效和高效地管理网页的状态。具体选择哪种方法与你的应用程序有关，在选择时可以考虑下面的问题：</p>
<p>　　?需要存储多少信息？<br />　　?客户端接受持久的还是内存中的cookie？<br />　　?希望在客户端还是在服务器端存储信？<br />　　?要存储的信息需要保密吗？　　<br />　　?希望你的网页的性能如何？</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:25:37</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%bd%91%e9%a1%b5/" title="网页">网页</a>, <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.iamivan.net/tag/c-%e7%9a%84session%e9%97%ae%e9%a2%98/" title="c&num;的session问题">c&num;的session问题</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e6%ac%a1%e8%af%b7%e6%b1%82/" title="多次请求">多次请求</a>, <a href="https://www.iamivan.net/tag/asp-net-c-%e6%9c%89%e5%85%b3/" title="asp&period;net&lpar;c&num;&rpar;有关">asp&period;net&lpar;c&num;&rpar;有关</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET中的状态管理的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPYA0z.html" rel="bookmark">ASP&period;NET中Session状态保持方式浅议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ASP.net提供了Session对象,从而允许程序员识别.存储和处理同一个浏览器对象对服务器上某个特定网络应用程序的若干次请求的上下文信息.Session对应浏览器与服务器的同一次对话,在浏览器第一请求网络应用程序的某个页面时,服务器会触发Session_onStart事件;在对话超时或者被关闭的时候会触发Session_onEnd 事件.程序员可以在代码中响应这两个事件来处理与同一次对话相关的任务,如开辟和释放该次对话要使用的资源等. 在ASP.NET的程序中要使用Session对象时,必须			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOYNAM.html" rel="bookmark">Asp&period;net ViewState&mdash;&mdash;自定义状态管理&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇ViewState--自定义状态管理(一)中我在自定义属性的类里面加入了一个重写的ToString方法和一个从字符串获取一个该类型实例的一个构造函数.大家可能会觉得谈到自定义属性的状态管理却不提及TypeConverter(Attribute),有些神奇.好吧,下面就来说说TypeConverter. 先看下MSDN的解释:提供一种将值的类型转换为其他类型以及访问标准值和子属性的统一方法. 在上一篇我自己写了两个方法而没有使用TypeConverter就是想从一方面说明TypeConve			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPP4A1p.html" rel="bookmark">Flink原理与实现：详解Flink中的状态管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Flink原理与实现系列文章 : Flink 原理与实现:架构和拓扑概览Flink 原理与实现:如何生成 StreamGraphFlink 原理与实现:如何生成 JobGraphFlink原理与实现:如何生成ExecutionGraph及物理执行图Flink原理与实现:Operator Chain原理 上面Flink原理与实现的文章中,有引用word count的例子,但是都没有包含状态管理.也就是说,如果一个task在处理过程中挂掉了,那么它在内存中的状态都会丢失,所有的数据都需要重新计算.从			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDAwa6b.html" rel="bookmark">Asp&period;net ViewState&mdash;&mdash;自定义状态管理&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在写自己的控件的时候我们不可能一直只定义string,int等内置类型的属性-夜路走多了总会撞鬼的.当遇到复杂属性(自定义的类型)时,我们该如何来保存其视图状态呢.这个问题困扰了我很久... 下面我想用几个小例子表达下自己的'捉鬼'经历. Husband namespace Controls { using System; using System.Collections.Generic; using System.Text; using System.Web.UI; public class			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKDYZM.html" rel="bookmark">ASP&period;NET 中 Session 实现原理浅析 &lbrack;2&rsqb; 状态管理器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|session 状态管理本来是一件很美好的事情,嘿嘿,只可惜总是有些厂商在实现的时候考虑得不那么周全.例如 MS 在 ASP 中的状态管理实现就比较烂,因为只实现了一个进程内的基于内存的状态管理,故而存在很多问题: 1.所有的 Session 数据都保存在 Web 服务的进程中,会造成服务器支持会话数量受到服务器内存资源的限制问题,同时也因为大量非活动会话导致内存被无效占用. 2.服务器进程崩溃会导致所有的会话数据丢失. 3.会话无法跨进程或在负载均衡情况下使用,除非负载均衡技术			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwXBmz.html" rel="bookmark">ASP&period;NET客户端状态管理方式的优缺点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般而言,HTTP协议是非状态服务,它不保存任何用户请求信息.直至NetScape开始使用Cookies来保存用户请求信息,Web应用程序有了极大的发展.现在ASP.NET程序员可以使用很多种方式来保存用户请求信息. 下面主要介绍ASP.NET关于客户端状态管理的几种方式. ASP.NET,提供了Cookies, QueryStrings (URL), Hidden fields, View State and Control state (ASP.NET 2.0),来管理客户端请求. 一.Co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnvyWp.html" rel="bookmark">WEB SERVICES状态管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				services|web WEB SERVICES状态管理 在默认情况下,.NET下的WEB SERVICES是无状态的.不过可以用ASP.NET提供的状态管理那就是SESSION和APPLICATION.这使得WEB SERVICES下状态管理变得简单了,只需使用WEBMETHOD属性的ENABLESESSION子属性就可[WEBMETHOD(ENABLESESSION=TRUE)] 服务端代码如下:[WebMethod(EnableSession= true)] public client			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMq0rGb.html" rel="bookmark">ASP&period;NET&colon;掌握Web窗体的生命周期与状态管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|web 如果你具有使用 Active Server Pages (ASP) 的经验,你将认识到 ASP 是线性处理模型.ASP 页是按从上到下的顺序处理的.ASP 代码和静态 HTML 的每一行都按其在文件中的显示顺序进行处理.在往返行程中用户操作导致页被发送到服务器.因为此操作导致往返行程,所以服务器必须重新创建该页.在重新创建该页后,将通过与以前相同的从上到下的顺序对该页进行处理,因此,该页未表现出真正的事件驱动行为.若要创建事件驱动体验,你需要显式设计它.此外,你必须在最基			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQgkWp.html" rel="bookmark">ASP&period;NET2&period;0服务器控件之自定义状态管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|服务器|控件 在前面的系列文章中,我们曾经介绍了视图状态和控件状态的基本概念和典型应用,从中可以发现,视图状态和控件状态对于自定义服务器控件实现的重要性.本文将继续这一主题,重点介绍实现视图状态和控件状态自定义管理的方法. 自定义视图状态管理 在介绍视图状态时,我们曾经提到过:对于简单属性,例如,String.Int等类型,.NET执行引擎将自动启用默认视图状态管理机制,以便完成相应的功能.然而,如果开发人员在ViewState中保存的是自定义数据类型,或者需要实现自定义方式优化			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPlB8p.html" rel="bookmark" class="title">超实用四步走帮你搞定智能硬件异常CASE</a>
					<div>
						  第一次做智能硬件,少不了各种踩坑,但在这过程中也逐渐摸索出一种比较直观的智能硬件异常case走查方法,通过这种方法我梳理出的异常case比工程师上报给我的还要全面,亲测可用,大家不妨试试. 相比于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6k1Jp.html" rel="bookmark" class="title">学习网页制作基础入门教程&lpar;10&rpar;表单标签</a>
					<div>
						教程|入门教程|网页 各种输入类型 1. 文字输入列:每个表单之所以会有不同的类型,原因就在于TYPE=&quot;表单类型&quot;设定的不同而已,我们就先来看看第一个类型:文字输入列.文字输入列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKEGAp.html" rel="bookmark" class="title">display&colon;inline-block的深入理解</a>
					<div>
						在使用CSS实现表现的时候,会经常接触到display:inline-block这一属性,无论是初接触Web标准还是接触标准已久的朋友,大都会对这一属性感觉很迷惑和模糊. display:inline ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7NLZp.html" rel="bookmark" class="title">六款站长必备的Google工具</a>
					<div>
						我们一直在寻找这样一个工具,它给告诉我网站被K的原因.SEO优化注意事项.HTML怎样写.如何快速知道网站的SEO优化情况等等,蓦然回首,其实Google官方已经给了我们这样的工具. 也许是汉译不准. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2KdNb.html" rel="bookmark" class="title">SQL server排序函数详解</a>
					<div>
						排名函数是SQL Server2005新加的功能.在SQL Server2005中有如下四个排名函数: 1. row_number 2. rank 3. dense_rank 4. ntile 一.r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2dwQp.html" rel="bookmark" class="title">Excel 2013全新感受</a>
					<div>
						Excel在全球各地的企业中获得了广泛应用,你可能感觉它的功能数量已经非 常多了,但微软在Excel 2013中又添加了几个功能,Flash fill 也许是其中最 重要的一个,它让Excel使用起来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjKOlp.html" rel="bookmark" class="title">OWB 11g循序渐进系列&lpar;0&rpar; Oracle Warehouse Builder 11g体系结构和组件</a>
					<div>
						本文从 Oracle Documentation 整理得到 Warehouse Builder 11g 体系结构和组件 Oracle Warehouse Builder 是一个信息集成工具,可以利用  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3QA6M.html" rel="bookmark" class="title">Word如何制作正规格式标题</a>
					<div>
						  1.启动Word2007,打开一份需要进行处理的文档,点击多级标签按钮,从弹出的界面中选择新的多级列表. 2.弹出定义新多级列表窗口,选择合适的编号样式. 3.输入编号的格式,设置字体,对齐方式等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa9O8M.html" rel="bookmark" class="title">腾讯游戏盒子礼包管家在哪？</a>
					<div>
						  腾讯游戏盒子的礼包管家在哪里找呢? 答:进入对应的游戏,找到右上角的&quot;礼包&quot;,点击就会出来对应的游戏礼包了哦. 腾讯游戏盒子登陆有没有游戏礼包? 答:目前个别游戏有盒子专属礼包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG90Ap.html" rel="bookmark" class="title">开机弹出amd quick stream已停止工作怎么办</a>
					<div>
						  方法一.更换驱动程序 amd quick stream一般随显卡驱动而安装.此时可以卸载掉有问题的驱动,重新安装对应的显卡驱动即可.如不确定驱动是否正常,可测试多个版本,直到正常为止. 方法二.开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYoQZM.html" rel="bookmark" class="title">如何用U盘为苹果电脑安装系统</a>
					<div>
						  苹果机是大家梦寐以求的电脑,当你拥有后想用来干什么呢?下面带大家来玩转苹果机--让苹果装上一个微软的Windows系统,下面我们就来看看如何用U盘在苹果电脑上安装windows系统. 一.准备工作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLdnOb.html" rel="bookmark" class="title">两高出台司法解释 明确网络检举和诽谤罪的边界</a>
					<div>
						摘要: 9月9日电 最高人民法院新闻发言人孙军工今天指出,即使检举.揭发的部分内容失实,只要不是故意捏造事实诽谤他人的,或者不属明知是捏造的损害他人名誉的事实而在信息网络上散 9月9日电 最高人民法院 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq89Y3b.html" rel="bookmark" class="title">使用反射获取字节码文件中的方法</a>
					<div>
						public class ReflectMethod { /** * 方法的反射 * @param args */ public static void main(String[] args) thr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmy4Zz.html" rel="bookmark" class="title">互联网协议入门（一）</a>
					<div>
						我们每天使用互联网,你是否想过,它是如何实现的? 全世界几十亿台电脑,连接在一起,两两通信.上海的某一块网卡送出信号,洛杉矶的另一块网卡居然就收到了,两者实际上根本不知道对方的物理位置,你不觉得这是很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNdwlz.html" rel="bookmark" class="title">关于VC实现dll&sol;exe自动化编译版本的脚本实现</a>
					<div>
						问题描述 关于VC实现dll/exe自动化编译版本的脚本实现 windows下VC生成dll/exe的版本是通过编辑资源文件的方式,请问能否实现在.h文件里定义版本,然后通过编译脚本把.h定义的版本信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAJB3M.html" rel="bookmark" class="title">自定义控件让TextView、Button的drawableLeft和drawableRight与文本一起居中显示</a>
					<div>
						  TextView的drawableLeft.drawableRight和drawableTop是一个常用.好用的属性,可以在文本的上下左右放置一个图片,而不使用更加复杂布局就能达到,我也常常喜欢用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQgWWz.html" rel="bookmark" class="title">一分钟了解阿里云产品：云道CDP产品使用问题</a>
					<div>
						数据集成也发布有一段时间了,下面简单总结下CDP相关的问题和解决办法.     CDP目前支持的数据源有哪些?   现阶段(公测前期)支持RDS(Mysql)与ODPS离线互导数据,未来将会逐步开放离 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNxElz.html" rel="bookmark" class="title">一个完整的ghost盘怎么做</a>
					<div>
						问题描述 一个完整的ghost盘怎么做 有哪个高手知道做个完整的ghost盘怎么弄?急求!!! 完整的操作步骤. 解决方案 首先找一张ghost的系统盘,启动计算机,运行ghost,选择partiti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam95gb.html" rel="bookmark" class="title">请问数字媒体技术常用的软硬件开发平台及工具有哪些，本人新手，想对数媒有所了解，请大神赐教</a>
					<div>
						问题描述 请问数字媒体技术常用的软硬件开发平台及工具有哪些,本人新手,想对数媒有所了解,请大神赐教 请问数字媒体技术常用的软硬件开发平台有哪些,跪谢,本人新手,想对数媒有所了解,请大神赐教 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YlYoM.html" rel="bookmark" class="title">android studio关于checkbox无法解析文件的问题</a>
					<div>
						问题描述 android studio关于checkbox无法解析文件的问题 选择checkbox时,会出现如图所示,invalid drawable tag vector(无效的可绘制标记向量),无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamrrwb.html" rel="bookmark" class="title">WWDC 2012 Session笔记&mdash;&mdash;200 What is new in Cocoa Touch</a>
					<div>
						这是博主的WWDC2012笔记系列中的一篇,完整的笔记列表可以参看这里.如果您是首次来到本站,也许您会有兴趣通过RSS,或者通过页面下方的邮件订阅的方式订阅本站. 之前写过一篇iOS6 SDK新内容的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Aj99z.html" rel="bookmark" class="title">狼的故事9：共同的利益</a>
					<div>
						共同的利益把我们两个捆绑在一起去面对共同的敌人,我们之间的戒心在相互之间真诚的合作中一点点的消退.我交到了一个朋友,更准确地说是找到了一个搭档.从此以后我的孤独离我远去,在生存的挣扎中我也不必再孤军作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZWdrp.html" rel="bookmark" class="title">java-我想用swing画一个图形，但是不知道怎么将坐标原点设在panel的中心</a>
					<div>
						问题描述 我想用swing画一个图形,但是不知道怎么将坐标原点设在panel的中心 我想画一个图,当坐标原点不在左上角,而是在整个panel的中心的时候最好画了,我应该用什么方法才能设置? 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWYrRz.html" rel="bookmark" class="title">javaweb-探讨个问题：一对一双向关联的表，如何插入一条记录。</a>
					<div>
						问题描述 探讨个问题:一对一双向关联的表,如何插入一条记录. 嗨,大家有空吗?探讨一个问题. 一对一双向关联,要插入一条记录. 举个简单例子.一个班级有一个班主任,一个老师只能任一个班级班主任.(一对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkB21M.html" rel="bookmark" class="title">基于单片机的生日快乐歌</a>
					<div>
						#include&lt;reg51.h&gt;  #define uchar unsigned char  #define uint unsigned int  sbit BEEP=P3^7;  // ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRLOZp.html" rel="bookmark" class="title">没有桌面的服务器该怎么操作</a>
					<div>
						问题描述 各位,小弟最近买了阿里云的云主机linux系统,发现没有桌面全部要用命令代码操作(感觉这样好累啊) 解决方案 解决方案二:为什么不选择windows系统解决方案三:云服务器现在提供windo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJAymp.html" rel="bookmark" class="title">在WPF使用FolderBrowserDialog和OpenFileDialog</a>
					<div>
						原文 在WPF使用FolderBrowserDialog和OpenFileDialog 相信习惯以前winform开发的朋友们都对FolderBrowserDialog和OpenFileDialog这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqlqyb.html" rel="bookmark" class="title">高希希新《三国》大烧钱：每天一睁眼花掉30万</a>
					<div>
						陈建斌版曹操 目前已经完成演员配音,正在国内最大渲染特效工作室紧锣密鼓赶制后期的新版&lt;三国&gt;,已经早早拉开宣传阵势,昨日接受记者采访时,导演高希希对作品相当自信:&quot;我允许大家拿& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ37kp.html" rel="bookmark" class="title">ASP &plus;mysql 出现输入汉字入库被截断问题</a>
					<div>
						问题描述 1.系统之前为只能录入英文入库,没有任何问题,2.升级为中文后,出现输入汉字入库被截断问题.比如&quot;名称&quot;字段输入&quot;郭鑫磊&quot;,则只能把&quot;郭鑫& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G3KAp.html" rel="bookmark" class="title">Paul Graham 文集 之「厌恶性盲区」</a>
					<div>
						摘要: 在我们眼皮底下,一些伟大的创业点子没有得到开发.之所以会发生这种情况,原因有好几个,我把其中之一叫作厌恶型事务盲区(Schlep Blindness).Schlep 一词发源于 Yiddish ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
